task deduped_depth {
	File deduped_bam
	File deduped_bam_idx
	String sample_id
	File regions
	String docker
	String cluster_config
	String disk_size
	
	command <<<
		/opt/conda/bin/samtools depth -aa -b ${regions} ${deduped_bam} > ${sample_id}.deduped.depth
	>>>

	runtime {
		docker:docker
		cluster: cluster_config
		systemDisk: "cloud_ssd 40"
		dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}
	output {
		File bam_deduped_depth = "${sample_id}.deduped.depth"
	}
}
